FreeMat

- Main Page
- Related Pages

vtkDataSetWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkDataSetWriter is an abstract class for mapper objects that write their data to disk (or into a communications port). The input to this object is a dataset of any type.

To create an instance of class vtkDataSetWriter, simply invoke its constructor as follows

      obj = vtkDataSetWriter

# Methods

The class vtkDataSetWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetWriter = obj.NewInstance ()`
- `vtkDataSetWriter = obj.SafeDownCast (vtkObject o)`
- `vtkDataSet = obj.GetInput ()` - Get the input to this writer.
- `vtkDataSet = obj.GetInput (int port)` - Get the input to this writer.